type ScrollElement = Element | HTMLElement | Window;
export declare function getScrollParent(el: Element, root?: ScrollElement | undefined | null): ScrollElement;
declare function useScrollParent(el: {
    current: Element | undefined;
}): Element | Window;
export default useScrollParent;
